import type { RenderedChunk } from 'rollup';
export interface BuildInternals {
    pureCSSChunks: Set<RenderedChunk>;
    chunkToReferenceIdMap: Map<string, string>;
    astroStyleMap: Map<string, string>;
    astroPageStyleMap: Map<string, string>;
    facadeIdToAssetsMap: Map<string, string[]>;
    hoistedScriptIdToHoistedMap: Map<string, Set<string>>;
    facadeIdToHoistedEntryMap: Map<string, string>;
    entrySpecifierToBundleMap: Map<string, string>;
}
/**
 * Creates internal maps used to coordinate the CSS and HTML plugins.
 * @returns {BuildInternals}
 */
export declare function createBuildInternals(): BuildInternals;
