/**
 * Dev server messages (organized here to prevent clutter)
 */
/// <reference types="node" />
import type { AddressInfo } from 'net';
/** Display  */
export declare function req({ url, statusCode, reqTime }: {
    url: string;
    statusCode: number;
    reqTime?: number;
}): string;
/** Display  */
export declare function reload({ url, reqTime }: {
    url: string;
    reqTime: number;
}): string;
/** Display dev server host and startup time */
export declare function devStart({ startupTime }: {
    startupTime: number;
}): string;
/** Display dev server host */
export declare function devHost({ address, https, site }: {
    address: AddressInfo;
    https: boolean;
    site: URL | undefined;
}): string;
/** Display port in use */
export declare function portInUse({ port }: {
    port: number;
}): string;
