import type { ComponentInstance, MarkdownRenderOptions, Renderer, RouteData, SSRElement } from '../../@types/astro';
import type { LogOptions } from '../logger.js';
import { RouteCache } from './route-cache.js';
interface RenderOptions {
    experimentalStaticBuild: boolean;
    logging: LogOptions;
    links: Set<SSRElement>;
    markdownRender: MarkdownRenderOptions;
    mod: ComponentInstance;
    origin: string;
    pathname: string;
    scripts: Set<SSRElement>;
    resolve: (s: string) => Promise<string>;
    renderers: Renderer[];
    route?: RouteData;
    routeCache: RouteCache;
    site?: string;
}
export declare function render(opts: RenderOptions): Promise<string>;
export {};
