export declare const escapeHTML: (string: any, { deprecated }?: {
    deprecated?: boolean | undefined;
}) => any;
/**
 * RawString is a "blessed" version of String
 * that is not subject to escaping.
 */
export declare class UnescapedString extends String {
}
/**
 * unescapeHTML marks a string as raw, unescaped HTML.
 * This should only be generated internally, not a public API.
 *
 * Need to cast the return value `as unknown as string` so TS doesn't yell at us.
 */
export declare const unescapeHTML: (str: any) => string;
